---
title: "Get a relation"
slug: "get-a-relation"
updated: 2026-02-27T13:58:10Z
published: 2026-02-27T13:58:10Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a relation

Get/api/v1/relations/common

Get an existing relation. Either reference or externalIdentifier must have a value. If both are given, both are used for retrieving the relation.

		
			

**Description**

Retrieve the information currently known in the Bloxs database about a certain Relation. Either reference or externalIdentifier must have a value. Please note that if both identifiers are given, both must match; otherwise, an error message will be generated. It is recommended that the user utilizes only one identifier, with a preference for the reference.

A supplier encompasses all entities from which you receive invoices. For example, the tax authorities or a cleaning company. Also, for instance, the company from which you purchase office supplies.

**Use Case**

Through this operation the user can display a specific relation and the related information. For example the user wants to retrieve data from a relation when they don't know it's type.

**Request****fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| reference | The relationship number within Bloxs. This is unique (per client specific environment) for all relationships (EstateAgents, Organisations, Owners, Persons, Suppliers). The relationship number is generated by the Bloxs system. |
| externalIdentifier | The unique identifier within the system of the requesting party. This identifier is not generated by the Bloxs system. |

**Response fields**

The response contains the fields in the table below. For the get operation it gives a up-to-date insight in the data that is currently registered in Bloxs.

| Field | Description |
| --- | --- |
| languageISOCode | ISO language code. Use the 2-letter code from the ISO 639-1 Code list. |
| address | The address of the relation. |
| street | The street of the relation. |
| houseNumber | The house number of the relation. |
| postalCode | The postal code of the relation. |
| City | The place of residence of the relation. |
| CountryISOCode | ISO country code. Use the 2-letter code from the ISO 639-1 Code list. |
| invoiceAddress | The billing address of the supplier. In case this field is empty, the data from 'address' will be used. This is mainly relevant for certain templates. |
| street | Street of the supplier’s billing address |
| houseNumber | House number of the supplier’s billing address |
| postalCode | Postal Code of the supplier’s billing address |
| City | City of the supplier’s billing address |
| CountryISOCode | ISO country code. Use the 2-letter code from the ISO 639-1 Code list. |
| postalAddress | The postal address of the relation. In case this field is empty, the data from 'address' will be used. This is mainly relevant for certain templates. |
| street | Street of the supplier’s postal address |
| houseNumber | House number of the supplier’s postal address |
| postalCode | Postal code of the supplier’s postal address |
| City | City of the supplier’s postal address |
| CountryISOCode | ISO country code. Use the 2-letter code from the ISO 639-1 Code list. |
| primaryEmailAddresses | Primary email address used by the relation. If other email addresses are left empty, this email address will be used for correspondence. |
| invoicesEmailAddresses | The email address used to send invoices. |
| paymentRemindersEmailAddresses | The email address used to send reminders regarding payments. |
| indexationsEmailAddresses | The email address to which the annual rent increase (indexation) is sent. |
| serviceTicketsEmailAddresses | The email address to which all maintenance notifications are sent. This may differ from the general email address. For instance, in the case of a shared office space where all communication is centralized through one central desk instead of being handled separately by individual tenants. |
| purchaseOrdersEmailAddresses | All communication specifically related to procurement is conducted through this email address. This is primarily applicable to large parties where procurement processes are managed through separate email accounts. |
| reference | The relationship number within Bloxs. This is unique (per client specific environment) for all relationships (EstateAgents, Organisations, Owners, Persons, Suppliers). The relationship number is generated by the Bloxs system. |
| type | The relation type: 1 = person 2 = organisation 3 = supplier 4 = owner 5 = estate agent 6 = financier |
| displayName | This concerns the full name of the relation; for a person, this would for example be the first name and last name. |

		
		
Security

Query parametersreferencestring

The internal identifier of the model (i.e. Reference, Code, Name, depends on model).

externalIdentifierstring

The external API identifier of the model.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='923a96f3-8fc4-4a03-a26a-20dcb18c3d4c'>application/json</option>
</select>Expand Allobject  languageISOCodestring   | null  Min length0Max length2
addressobject (Address)  streetstring    Min length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    Min length0Max length20
citystring    Min length0Max length200
countryISOCodestring    Min length0Max length2

invoiceAddressobject (Address)  streetstring    Min length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    Min length0Max length20
citystring    Min length0Max length200
countryISOCodestring    Min length0Max length2

postalAddressobject (Address)  streetstring    Min length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    Min length0Max length20
citystring    Min length0Max length200
countryISOCodestring    Min length0Max length2

primaryEmailAddresses Array of string  | null  string    
invoicesEmailAddresses Array of string  | null  string    
paymentRemindersEmailAddresses Array of string  | null  string    
indexationsEmailAddresses Array of string  | null  string    
serviceTicketsEmailAddresses Array of string  | null  string    
purchaseOrdersEmailAddresses Array of string  | null  string    
referencestring   | null  Min length0Max length100
typeinteger  (int32)    

Person = 1 Organisation = 2 Supplier = 3 Owner = 4 EstateAgent = 5 Financier = 6

displayNamestring    Min length0Max length788

404

The requested relation was not found.
